Name:		creatis-release
Version:	35
Release:	0.1
Summary:	Creatis Packages Repository Configuration

License:	BSD
Group:		System Environment/Base
Source0:	RPM-GPG-KEY-creatis
Source1:	creatis.repo
URL:		http://www.creatis.insa-lyon.fr/dogme
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:	noarch
Requires:	fedora-release >= %{version}

%description
Creatis Packages Repository for Fedora

This package contains the yum-configuration and the gpg-key for the
repository

%prep

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/pki/rpm-gpg/ \
	$RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d/
install -m 644 -p %{SOURCE0} $RPM_BUILD_ROOT%{_sysconfdir}/pki/rpm-gpg/
install -m 644 -p %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{_sysconfdir}/pki/rpm-gpg/*
%config %{_sysconfdir}/yum.repos.d/*

%changelog
* Wed Jun 16 2021 Fabrice Bellet <bellet@creatis.insa-lyon.fr> - 35-0.1
- setup for rawhide being f35
